Bug 1761797 - CVE-2019-12402 apache-commons-compress: denial of service vulnerability
Summary: CVE-2019-12402 apache-commons-compress: denial of service vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-commons-compress
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Stewardship SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1764641 (view as bug list)
Depends On:
Blocks: CVE-2019-12402
TreeView+ depends on / blocked
 
Reported: 2019-10-15 11:54 UTC by Mikolaj Izdebski
Modified: 2019-10-26 17:26 UTC (History)
8 users (show)

Fixed In Version: apache-commons-compress-1.19-1.fc30 apache-commons-compress-1.19-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 17:00:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikolaj Izdebski 2019-10-15 11:54:35 UTC
The file name encoding algorithm used internally in Apache Commons Compress 1.15 to 1.18 can get into an infinite loop when faced with specially crafted inputs. This can lead to a denial of service attack if an attacker can choose the file names inside of an archive created by Compress.

According to NIST NVD database this issue has high impact.

For more info see: https://nvd.nist.gov/vuln/detail/CVE-2019-12402

Comment 1 Fabio Valentini 2019-10-15 12:54:00 UTC
We should be able to merge 1.19 from rawhide into stable branches.
I'll look into it later today.

Comment 2 Fedora Update System 2019-10-15 17:14:10 UTC
FEDORA-2019-da0eac1eb6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da0eac1eb6

Comment 3 Fedora Update System 2019-10-15 17:14:42 UTC
FEDORA-2019-c96a8d12b0 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c96a8d12b0

Comment 4 Fabio Valentini 2019-10-15 17:16:10 UTC
There are some strange commits in f29 that look like they've never been built.
I also don't care about f29 enough to actually work this out, and it will be EOL in ~6 weeks anyway.

Comment 5 Fedora Update System 2019-10-15 22:58:20 UTC
apache-commons-compress-1.19-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c96a8d12b0

Comment 6 Fedora Update System 2019-10-16 15:00:37 UTC
apache-commons-compress-1.19-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da0eac1eb6

Comment 7 Mikolaj Izdebski 2019-10-23 15:15:42 UTC
*** Bug 1764641 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2019-10-25 17:00:42 UTC
apache-commons-compress-1.19-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-10-26 17:26:10 UTC
apache-commons-compress-1.19-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.